[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBands.Notify

Handles the notification that occurs when a collection item is added, extracted, or deleted.

## Declaration

Source position: comctrls.pp line 2540

`protected procedure TCoolBands.Notify(`
`aItem: TCollectionItem;`
`aAction: TCollectionNotification`
`); override;`

## Arguments

`aItem` |  | Collection item for the notification.
`aAction` |  | Action performed for the collection item.

## Description

Notify is an overridden method in TCoolBands, and calls the inherited method on entry to notify observers of the change to the collection item. If the collection item was added, its owner is set to the TCoolBar instance that owns the collection.

## See also

TCoolBand |  | Implements a band displayed on the TCoolBar control.
TCollectionItem
TCollection
TCollectionNotification